package items;

import pokemon.Pokemon;
import storage.Trainer;

import java.util.List;

/**
 * This class represents a great ball item
 */
public class GreatBall extends AbstractPokeBall {
    public GreatBall() {
        super("Great ball",
                "A good, high-performance Poké Ball that provides a higher Pokémon catch rate than a " +
                        "standard Poké Ball.");
    }

    @Override
    public boolean use(Pokemon target, List<Pokemon> current, Trainer catcher) {
        return target.tryCapture(current, catcher, 200);
    }
}
