package items;

import pokemon.Pokemon;
import storage.Trainer;

import java.util.List;

/**
 * This class represents an ultra ball item
 */
public class UltraBall extends AbstractPokeBall {
    public UltraBall() {
        super("Ultra ball", "An ultra-high-performance Poké Ball that provides a higher success rate " +
                "for catching Pokémon than a Great Ball.");
    }

    @Override
    public boolean use(Pokemon target, List<Pokemon> current, Trainer catcher) {
        return target.tryCapture(current, catcher, 150);
    }
}
